#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: kmousetool
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 2
Group: Accessibility
Summary: Automatic Mouse Click
URL: http://www.kde.org/applications/utilities/kmousetool/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
License: GPLv2 and GFDL
BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(xtst)

Requires: kdebase4-runtime
Suggests: kmousetool-handbook

%description
KMouseTool is a tool that clicks the mouse for you.

%files
%_kde_bindir/kmousetool
%_kde_datadir/applications/kde4/kmousetool.desktop
%_kde_appsdir/kmousetool
%_kde_iconsdir/hicolor/*/*/kmousetool*

#------------------------------------------------------------------------------

%package -n kmousetool-handbook
Summary: Kmousetool Handbook
Conflicts: kmousetool < 2:4.7.1
BuildArch: noarch
Group: Documentation
%description -n kmousetool-handbook
This package provides kmousetool handbook and mandir

%files -n kmousetool-handbook
%doc AUTHORS ChangeLog COPYING COPYING.DOC README TODO
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/kmousetool
%_kde_mandir/man1/kmousetool.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 2:4.10.5-1.1.mga3
+ Revision: 450656
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407273
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401899
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394440
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 356320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339542
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334602
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Add pkgconfig(xtst) as BR

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326803
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320322
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316198
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301974
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289778
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277088
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269691
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 266209
- New version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257263
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228488
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221488
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198336
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 191088
- Update tarball to kde 4.7.97

* Fri Dec 23 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 186263
- Update tarball to kde 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181460
- imported package kmousetool

